event::TimerEventManager_2_0_0 Interface Reference

TimerEventManager interface. More...

`import"TimerEventManager.idl";`

## Classes

struct | Range
| Range structure. More...
struct | Schedule
| Schedule structure. More...
struct | TimerEvent
| TimerEvent structure. More...

## Public Member Functions

int | addTimerEvent (in Schedule schedule, out vector< string > eventId)
| Add a new timer event. More...
int | modifyTimerEvent (in vector< string > eventId, in Schedule schedule)
| Modify a timer event. More...
int | deleteTimerEvent (in vector< string > eventId)
| Delete a timer event. More...
vector< TimerEvent > | listTimerEvents ()
| List all timer events.

## Public Attributes

constant int | NO_ERROR = 0
| Error codes. More...
constant int | ERR_INVALID_SCHEDULE = 1
| failure in schedule
constant int | ERR_UNKNOWN_EVENT_ID = 2
| unknown eventId
constant int | ERR_CREATE_EVENT_ID_FAILED = 3
| creating eventId failed
constant int | ERR_MAX_TIMERS_CREATED = 4
| max number of timers have been created
constant int | JAN = 1
| Schedule defines and structures. More...
constant int | FEB = 2
| February.
constant int | MAR = 3
| March.
constant int | APR = 4
| April.
constant int | MAY = 5
| May.
constant int | JUN = 6
| June.
constant int | JUL = 7
| July.
constant int | AUG = 8
| August.
constant int | SEP = 9
| September.
constant int | OCT = 10
| October.
constant int | NOV = 11
| November.
constant int | DEC = 12
| December.
constant int | SUN = 0
| Days of week. More...
constant int | MON = 1
| Monday.
constant int | TUE = 2
| Tuesday.
constant int | WED = 3
| Wednesday.
constant int | THU = 4
| Thursday.
constant int | FRI = 5
| Friday.
constant int | SAT = 6
| Saturday.

## Detailed Description

TimerEventManager interface.

## Member Function Documentation

## addTimerEvent()

int event::TimerEventManager_2_0_0::addTimerEvent | ( | in Schedule | schedule,
|  | out vector< string > | eventId
| ) |  |

Add a new timer event.

The timer event id field is allocated automatically and returned in the timerEventId parameter.

Parameters

  schedule | schedule for timer
  eventId | created event id

Returns
  NO_ERROR if OK
  ERR_INVALID_SCHEDULE if schedule is invalid
  ERR_CREATE_EVENT_ID_FAILED if generating the eventId failed
  ERR_MAX_TIMERS_CREATED if max timer count already created

## deleteTimerEvent()

int event::TimerEventManager_2_0_0::deleteTimerEvent | ( | in vector< string > | eventId | ) |

Delete a timer event.

Parameters

  eventId | event id

Returns
  NO_ERROR if OK
  ERR_UNKNOWN_EVENT_ID if eventId is unknown

## modifyTimerEvent()

int event::TimerEventManager_2_0_0::modifyTimerEvent | ( | in vector< string > | eventId,
|  | in Schedule | schedule
| ) |  |

Modify a timer event.

Parameters

  eventId | event id
  schedule | new schedule for timer

Returns
  NO_ERROR if OK
  ERR_INVALID_SCHEDULE if schedule is invalid
  ERR_UNKNOWN_EVENT_ID if eventId is unknown

## Member Data Documentation

## JAN

constant int event::TimerEventManager_2_0_0::JAN = 1

Schedule defines and structures.

The goal of the following declarations is to express crontab entries in a structured way. Months January

## NO_ERROR

constant int event::TimerEventManager_2_0_0::NO_ERROR = 0

Error codes.

operation successful, no error

## SUN

constant int event::TimerEventManager_2_0_0::SUN = 0

Days of week.

Sunday

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/TimerEventManager.idl